Update Space
UpdateSpace updates space metadata. Only a space administrator can update a space.
Path Parameters
The space id.
Query Parameters
Required. The fields to update. Supported paths: title, description, icon.
field-maskRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Space is a collaboration boundary for placed memos.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/spaces/string" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }'{ "name": "string", "title": "string", "description": "string", "icon": { "emoji": "string", "lucide": "string" }, "currentUserRole": "ROLE_UNSPECIFIED", "memberCount": 0}List User Space Invitations
ListUserSpaceInvitations lists the authenticated user's pending space invitations. A user cannot list another user's invitations.
Update Space Member
UpdateSpaceMember changes a member's space role. Only a space administrator can change roles, and a space must keep at least one administrator.